#ifndef __GMKRC_CONFIG_H__
#define __GMKRC_CONFIG_H__

#include "gmkrc_autoconfig.h"

/* kernel version */
#include <linux/version.h>
#define GMKRC_LINUX_XY(x,y) ((LINUX_VERSION_CODE>=KERNEL_VERSION(x,y,0))&&(LINUX_VERSION_CODE<KERNEL_VERSION(x,y+1,0)))
#define GMKRC_LINUX_24 (GMKRC_LINUX_XY(2,4))
#define GMKRC_LINUX_26 (GMKRC_LINUX_XY(2,6))

#if GMKRC_LINUX_24 + GMKRC_LINUX_26 != 1
#error Bad kernel version
#endif


#endif /* __GMKRC_CONFIG_H__ */
