#ifndef __GMKRC_REGCACHE_H__
#define __GMKRC_REGCACHE_H__


#include "gmkrc_internal.h"


extern
int gmkrc_regcache_init(void);
extern
void gmkrc_regcache_exit(void);

extern
gm_status_t gmkrc_regcache_register(struct gmkrc_port *port,
				    void *addr,
				    void *mm,
				    unsigned int pages);
extern
gm_status_t gmkrc_regcache_deregister(struct gmkrc_port *port,
				      void *addr,
				      void *mm,
				      unsigned int pages);
extern
void gmkrc_regcache_clear(struct gmkrc_port *port,
			  void *addr,
			  void *mm,
			  unsigned int pages);


#endif /* __GMKRC_REGCACHE_H__ */
